Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.datatypes
Class Address

    java.lang.Object
      |
      +--weblogic.uddi.client.structures.datatypes.Address

public class Address
extends java.lang.Object

Address is a list of AddressLine elements.

Version:
  1.0
Author:
  Salman Khan, Jason Ong

Constructor Summary
`Address()` Class constructor.

Method Summary
`void` | `addAddressLine(java.lang.String addressLine)` Adds a new address line to the set of address lines.
`java.util.Vector` | `getAddressLineVector()` Gets the set of address lines.
`java.lang.String` | `getSortCode()` Gets the value of the sort code.
`java.lang.String` | `getUseType()` Gets the value of the use type.
`void` | `setAddressLineVector(java.util.Vector vector)` Sets the set containing address lines.
`void` | `setSortCode(java.lang.String value)` Sets the value of the sort code.
`void` | `setUseType(java.lang.String value)` Sets the value of the use type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Address

    public Address()

  Class constructor.

Method Detail

### getUseType

    public java.lang.String getUseType()

  Gets the value of the use type.

  Returns:
    the current value of the use type.

### setUseType

    public void setUseType(java.lang.String value)

  Sets the value of the use type.

  Parameters:
    `value` - the new value of the use type.

### getSortCode

    public java.lang.String getSortCode()

  Gets the value of the sort code.

  Returns:
    the current value of the sort code.

### setSortCode

    public void setSortCode(java.lang.String value)

  Sets the value of the sort code.

  Parameters:
    `value` - the new value of the sort code.

### getAddressLineVector

    public java.util.Vector getAddressLineVector()

  Gets the set of address lines.

  Returns:
    the current set of address lines.

### setAddressLineVector

    public void setAddressLineVector(java.util.Vector vector)

  Sets the set containing address lines.

  Parameters:
    `vector` - the new set of address lines.

### addAddressLine

    public void addAddressLine(java.lang.String addressLine)

  Adds a new address line to the set of address lines.

  Parameters:
    `addressLine` - the new address line.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference